use proc_macro2::{Span, TokenStream};
use syn::{ExprLit, spanned::Spanned};



pub(crate) fn repo_path(input: Option<ExprLit>) -> syn::Result<TokenStream> {
    let repo_dir = repo_path_lib::repo_dir();

    let path = super::parse_relative_path(repo_dir, input.as_ref())?;

    let span = input.map(|input| input.span()).unwrap_or(Span::call_site());
    super::quote_path_buf(path, span)
}
